Last Comment Bug 665003 - browser/components/nsBrowserContentHandler.js contains unecessary const
: browser/components/nsBrowserContentHandler.js contains unecessary const
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 7
Assigned To: arno renevier
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-17 08:04 PDT by arno renevier
Modified: 2011-06-28 07:09 PDT (History)
4 users (show)
mounir: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (2.18 KB, patch)
2011-06-17 13:57 PDT, arno renevier
gavin.sharp: review+
Details | Diff | Splinter Review

Description arno renevier 2011-06-17 08:04:33 PDT
Hi,
browser/components/nsBrowserContentHandler.js constants definitions which are not used in the file.

const nsICategoryManager     = Components.interfaces.nsICategoryManager;

and 

const CONTRACTID_PREFIX = "@mozilla.org/uriloader/content-handler;1?type=";
Comment 1 arno renevier 2011-06-17 13:57:07 PDT
Created attachment 540123 [details] [diff] [review]
patch v1
Comment 2 :Ehsan Akhgari 2011-06-22 11:36:55 PDT
Landed on inbound.
Comment 3 Mounir Lamouri (:mounir) 2011-06-23 02:29:31 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/05351157216d
Comment 4 George Carstoiu 2011-06-28 07:09:34 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110627 Firefox/7.0a1

Verified that the two lines were removed. Setting status to Verified Fixed.

Note You need to log in before you can comment on or make changes to this bug.